%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-XML-Twig
Version:       3.48
Release:       1mamba
Summary:       XML::Twig - a module used to process efficiently XML documents
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.xmltwig.com
Source:        http://search.cpan.org/CPAN/authors/id/M/MI/MIROD/XML-Twig-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-XML-Parser
## AUTOBUILDREQ-END
BuildRequires: perl-YAML
BuildRequires: perl-IO-stringy
BuildRequires: perl-Test-Pod-Coverage
BuildRequires: expat
BuildRequires: perl-XML-XPath
Requires:      perl-Tie-IxHash
Requires:      perl-HTML-Parser
Requires:      expat
Provides:      perl(xml_split::state)
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
XML::Twig - a module used to process efficiently XML documents.

%prep
%setup -q -n XML-Twig-%{version}

%build
echo "\
y
y
y
y
y" | perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make

%ifnarch %{ix86}
%make test
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 3.48-1mamba
- automatic update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 3.46-1mamba
- automatic update by autodist

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 3.44-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.42-1mamba
- update to 3.42

* Sat Apr 17 2010 Automatic Build System <autodist@mambasoft.it> 3.35-1mamba
- automatic update by autodist

* Mon Jan 18 2010 Automatic Build System <autodist@mambasoft.it> 3.34-1mamba
- automatic update by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.32-2mamba
- automatic rebuild by autodist

* Thu Nov 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.32-1mamba
- update to 3.32

* Wed Sep 06 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.25-2qilnx
- added several missing build/runtime package requirements

* Fri May 26 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.25-1qilnx
- package created by autospec
